Boost.Locale: boost::locale::localization_backend_manager Class Reference

| Boost.Locale

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
boost::locale::localization_backend_manager Class Reference

Localization backend manager is a class that holds various backend and allows creation of their combination or selection. More...

`#include <boost/locale/localization_backend.hpp>`

## Public Member Functions
| localization_backend_manager ()
| localization_backend_manager (localization_backend_manager const &)
localization_backend_manager const & | operator= (localization_backend_manager const &)
| ~localization_backend_manager ()
std::auto_ptr < localization_backend > | get () const
void | add_backend (std::string const &name, std::auto_ptr< localization_backend > backend)
void | remove_all_backends ()
std::vector< std::string > | get_all_backends () const
void | select (std::string const &backend_name, locale_category_type category=all_categories)

## Static Public Member Functions
static localization_backend_manager | global (localization_backend_manager const &)
static localization_backend_manager | global ()

## Detailed Description

Localization backend manager is a class that holds various backend and allows creation of their combination or selection.

## Constructor & Destructor Documentation

boost::locale::localization_backend_manager::localization_backend_manager | ( |  | ) |

New empty localization_backend_manager

boost::locale::localization_backend_manager::localization_backend_manager | ( | localization_backend_manager const & |  | ) |

Copy localization_backend_manager

boost::locale::localization_backend_manager::~localization_backend_manager | ( |  | ) |

Destructor

## Member Function Documentation

void boost::locale::localization_backend_manager::add_backend | ( | std::string const & | name,
|  | std::auto_ptr< localization_backend > | backend
| ) |  |

Add new backend to the manager, each backend should be uniquely defined by its name.

This library provides: "icu", "posix", "winapi" and "std" backends.

std::auto_ptr<localization_backend> boost::locale::localization_backend_manager::get | ( |  | ) | const

Create new localization backend according to current settings.

std::vector<std::string> boost::locale::localization_backend_manager::get_all_backends | ( |  | ) | const

Get list of all available backends

static localization_backend_manager boost::locale::localization_backend_manager::global | ( | localization_backend_manager const & |  | ) |
| static

Set new global backend manager, the old one is returned.

This function is thread safe

static localization_backend_manager boost::locale::localization_backend_manager::global | ( |  | ) |
| static

Get global backend manager

This function is thread safe

localization_backend_manager const& boost::locale::localization_backend_manager::operator= | ( | localization_backend_manager const & |  | ) |

Assign localization_backend_manager

void boost::locale::localization_backend_manager::remove_all_backends | ( |  | ) |

Clear backend

void boost::locale::localization_backend_manager::select | ( | std::string const & | backend_name,
|  | locale_category_type | category = `all_categories`
| ) |  |

Select specific backend by name for a category category. It allows combining different backends for user preferences.

The documentation for this class was generated from the following file:

- boost/locale/localization_backend.hpp

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.